petsc-3.12.4 2020-02-04
Report Typos and Errors

# VecTaggerSetFromOptions

set VecTagger options using the options database

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecTaggerSetFromOptions(VecTagger tagger)

Logically Collective

### Input Arguments

tagger -vec tagger

### Options Database Keys

| -vec_tagger_type | - implementation type, see VecTaggerSetType()
| -vec_tagger_block_size | - set the block size, see VecTaggerSetBlockSize()
| -vec_tagger_invert | - invert the index set returned by VecTaggerComputeIS()

### Level

advanced

### Location

src/vec/vec/utils/tagger/interface/tagger.c

### Examples

src/vec/vec/utils/tagger/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex11.c.html

### Implementations

VecTaggerSetFromOptions_AndOr in src/vec/vec/utils/tagger/impls/andor.c
VecTaggerSetFromOptions_CDF in src/vec/vec/utils/tagger/impls/cdf.c
VecTaggerSetFromOptions_Simple in src/vec/vec/utils/tagger/impls/simple.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages